## rust-upstream-ontologist 0.2.4

=== debian/changelog ===
rust-upstream-ontologist (0.2.4-1) unstable; urgency=medium

  * Package upstream-ontologist 0.2.4 from crates.io using debcargo 2.7.8

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Apr 2025 01:09:27 +0100

=== debian/control ===
Source: rust-upstream-ontologist
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-async-trait-0.1+default-dev (>= 0.1.83-~~) <!nocheck>,
 librust-breezyshim+auto-initialize-dev (>= 0.1.227-~~) <!nocheck>,
 librust-chrono-0.4+default-dev <!nocheck>,
 librust-configparser-3+default-dev <!nocheck>,
 librust-debbugs-0.1+default-dev <!nocheck>,
 librust-debian-changelog-0.2+default-dev <!nocheck>,
 librust-debian-control-0.1+default-dev <!nocheck>,
 librust-debian-copyright-0.1+default-dev <!nocheck>,
 librust-debian-watch-0.2+default-dev <!nocheck>,
 librust-debversion-0.4+default-dev <!nocheck>,
 librust-distro-info-0.4+default-dev <!nocheck>,
 librust-futures-0.3+default-dev (>= 0.3.30-~~) <!nocheck>,
 librust-gix-config+default-dev (>= 0.20-~~) <!nocheck>,
 librust-html5ever+default-dev (>= 0.26-~~) <!nocheck>,
 librust-lazy-regex-3+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-makefile-lossless-0.2+default-dev <!nocheck>,
 librust-maplit-1+default-dev <!nocheck>,
 librust-opam-file-rs-0.1+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-pulldown-cmark+default-dev (>= 0.9-~~) <!nocheck>,
 librust-pyo3+default-dev (<< 0.24-~~) <!nocheck>,
 librust-pyo3+default-dev (>= 0.22-~~) <!nocheck>,
 librust-pyproject-toml-0.13+default-dev <!nocheck>,
 librust-python-pkginfo+default-dev (>= 0.5-~~) <!nocheck>,
 librust-quote-1+default-dev (>= 1.0.40-~~) <!nocheck>,
 librust-r-description+default-dev (>= 0.2.2-~~) <!nocheck>,
 librust-regex-1+default-dev <!nocheck>,
 librust-reqwest+blocking-dev (>= 0.11-~~) <!nocheck>,
 librust-reqwest+json-dev (>= 0.11-~~) <!nocheck>,
 librust-rst-parser-0.4+default-dev <!nocheck>,
 librust-rst-renderer-0.4+default-dev <!nocheck>,
 librust-rust-ini+default-dev (>= 0.18-~~) <!nocheck>,
 librust-select-0.6+default-dev <!nocheck>,
 librust-semver-1+default-dev <!nocheck>,
 librust-semver-1+serde-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-serde-yaml-0.9+default-dev <!nocheck>,
 librust-shlex-1+default-dev (>= 1.1.0-~~) <!nocheck>,
 librust-textwrap+default-dev (>= 0.16-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.43.0-~~) <!nocheck>,
 librust-tokio-1+full-dev (>= 1.43.0-~~) <!nocheck>,
 librust-toml+default-dev (>= 0.8-~~) <!nocheck>,
 librust-url-2+default-dev <!nocheck>,
 librust-xmltree+default-dev (>= 0.10-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/upstream-ontologist]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/upstream-ontologist
Homepage: https://github.com/jelmer/upstream-ontologist
X-Cargo-Crate: upstream-ontologist
Rules-Requires-Root: no

Package: librust-upstream-ontologist-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-async-trait-0.1+default-dev (>= 0.1.83-~~),
 librust-breezyshim+auto-initialize-dev (>= 0.1.227-~~),
 librust-chrono-0.4+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-configparser-3+default-dev,
 librust-debbugs-0.1+default-dev,
 librust-debcargo-2+default-dev (>= 2.7-~~),
 librust-debian-changelog-0.2+default-dev,
 librust-debian-control-0.1+default-dev,
 librust-debian-copyright-0.1+default-dev,
 librust-debian-watch-0.2+default-dev,
 librust-debversion-0.4+default-dev,
 librust-distro-info-0.4+default-dev,
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-futures-0.3+default-dev (>= 0.3.30-~~),
 librust-gix-config+default-dev (>= 0.20-~~),
 librust-html5ever+default-dev (>= 0.26-~~),
 librust-lazy-regex-3+default-dev,
 librust-lazy-static-1+default-dev,
 librust-log-0.4+default-dev,
 librust-makefile-lossless-0.2+default-dev,
 librust-maplit-1+default-dev,
 librust-opam-file-rs-0.1+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pulldown-cmark+default-dev (>= 0.9-~~),
 librust-pyo3+default-dev (<< 0.24-~~),
 librust-pyo3+default-dev (>= 0.22-~~),
 librust-pyproject-toml-0.13+default-dev,
 librust-python-pkginfo+default-dev (>= 0.5-~~),
 librust-quote-1+default-dev (>= 1.0.40-~~),
 librust-r-description+default-dev (>= 0.2.2-~~),
 librust-regex-1+default-dev,
 librust-reqwest+blocking-dev (>= 0.11-~~),
 librust-reqwest+json-dev (>= 0.11-~~),
 librust-rst-parser-0.4+default-dev,
 librust-rst-renderer-0.4+default-dev,
 librust-rust-ini+default-dev (>= 0.18-~~),
 librust-select-0.6+default-dev,
 librust-semver-1+default-dev,
 librust-semver-1+serde-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-yaml-0.9+default-dev,
 librust-shlex-1+default-dev (>= 1.1.0-~~),
 librust-textwrap+default-dev (>= 0.16-~~),
 librust-tokio-1+default-dev (>= 1.43.0-~~),
 librust-tokio-1+full-dev (>= 1.43.0-~~),
 librust-toml+default-dev (>= 0.8-~~),
 librust-url-2+default-dev,
 librust-xmltree+default-dev (>= 0.10-~~)
Provides:
 librust-upstream-ontologist+cargo-dev (= ${binary:Version}),
 librust-upstream-ontologist+cli-dev (= ${binary:Version}),
 librust-upstream-ontologist+debcargo-dev (= ${binary:Version}),
 librust-upstream-ontologist+debian-dev (= ${binary:Version}),
 librust-upstream-ontologist+debversion-dev (= ${binary:Version}),
 librust-upstream-ontologist+default-dev (= ${binary:Version}),
 librust-upstream-ontologist+dist-ini-dev (= ${binary:Version}),
 librust-upstream-ontologist+git-config-dev (= ${binary:Version}),
 librust-upstream-ontologist+launchpad-dev (= ${binary:Version}),
 librust-upstream-ontologist+opam-dev (= ${binary:Version}),
 librust-upstream-ontologist+pyo3-dev (= ${binary:Version}),
 librust-upstream-ontologist+pyproject-toml-dev (= ${binary:Version}),
 librust-upstream-ontologist+python-pkginfo-dev (= ${binary:Version}),
 librust-upstream-ontologist+r-description-dev (= ${binary:Version}),
 librust-upstream-ontologist+setup-cfg-dev (= ${binary:Version}),
 librust-upstream-ontologist-0-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+cargo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+cli-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+debcargo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+debian-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+debversion-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+default-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+dist-ini-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+git-config-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+launchpad-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+opam-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+pyo3-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+pyproject-toml-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+python-pkginfo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+r-description-dev (= ${binary:Version}),
 librust-upstream-ontologist-0+setup-cfg-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+cargo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+cli-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+debcargo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+debian-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+debversion-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+default-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+dist-ini-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+git-config-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+launchpad-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+opam-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+pyo3-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+pyproject-toml-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+python-pkginfo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+r-description-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2+setup-cfg-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+cargo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+cli-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+debcargo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+debian-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+debversion-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+default-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+dist-ini-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+git-config-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+launchpad-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+opam-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+pyo3-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+pyproject-toml-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+python-pkginfo-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+r-description-dev (= ${binary:Version}),
 librust-upstream-ontologist-0.2.4+setup-cfg-dev (= ${binary:Version})
Description: Tracking of upstream project metadata - Rust source code
 Source code for Debianized Rust crate "upstream-ontologist"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.4 --all-targets --all-features
Features: test-name=rust-upstream-ontologist:@
Depends: dh-cargo (>= 31), rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.4 --all-targets --no-default-features --features cargo
Features: test-name=librust-upstream-ontologist-dev:cargo
Depends: dh-cargo (>= 31), rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.4 --all-targets --no-default-features --features cli
Features: test-name=librust-upstream-ontologist-dev:cli
Depends: dh-cargo (>= 31), rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.4 --all-targets --no-default-features --features debcargo
Features: test-name=librust-upstream-ontologist-dev:debcargo
Depends: dh-cargo (>= 31), rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.4 --all-targets --no-default-features --features debian
Features: test-name=librust-upstream-ontologist-dev:debian
Depends: dh-cargo (>= 31), rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.4 --all-targets --no-default-features --features debversion
Features: test-name=librust-upstream-ontologist-dev:debversion
Depends: dh-cargo (>= 31), rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.4 --all-targets
Features: test-name=librust-upstream-ontologist-dev:default
Depends: dh-cargo (>= 31), rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.4 --all-targets --no-default-features --features dist-ini
Features: test-name=librust-upstream-ontologist-dev:dist-ini
Depends: dh-cargo (>= 31), rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-upstream-ontologist 0.2.10

=== debian/changelog ===
rust-upstream-ontologist (0.2.10-3) unstable; urgency=medium

  * Team upload.
  * Package upstream-ontologist 0.2.10 from crates.io using debcargo 2.7.8
  * Add breaks on old version of rust-ongibuild
  * Skip most tests on riscv64 due to timeout.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 29 Aug 2025 23:37:46 +0000

rust-upstream-ontologist (0.2.10-2) unstable; urgency=medium

  * Team upload.
  * Package upstream-ontologist 0.2.10 from crates.io using debcargo 2.7.8
  * Add test_depends on python3-setuptools (needed by 
    upstream_tests::test_python)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 28 Aug 2025 00:46:33 +0000

rust-upstream-ontologist (0.2.10-1) unstable; urgency=medium

  * Team upload.
  * Package upstream-ontologist 0.2.10 from crates.io using debcargo 2.7.8
  * Skip readme tests
  * Stop marking most tests as broken.

  [ Jelmer Vernooĳ ]
  * Package upstream-ontologist 0.2.10 from crates.io using debcargo 2.7.10

 -- Peter Michael Green <plugwash@debian.org>  Thu, 21 Aug 2025 17:45:04 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends-Arch: cargo:native <!nocheck>,
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
- librust-async-trait-0.1+default-dev (>= 0.1.83-~~) <!nocheck>,
- librust-breezyshim+auto-initialize-dev (>= 0.1.227-~~) <!nocheck>,
+ librust-async-trait-0.1+default-dev (>= 0.1.80-~~) <!nocheck>,
+ librust-breezyshim-0.6+auto-initialize-dev <!nocheck>,
  librust-chrono-0.4+default-dev <!nocheck>,
  librust-configparser-3+default-dev <!nocheck>,
  librust-debbugs-0.1+default-dev <!nocheck>,
@@ -28,8 +28,7 @@
  librust-opam-file-rs-0.1+default-dev <!nocheck>,
  librust-percent-encoding-2+default-dev <!nocheck>,
  librust-pulldown-cmark+default-dev (>= 0.9-~~) <!nocheck>,
- librust-pyo3+default-dev (<< 0.24-~~) <!nocheck>,
- librust-pyo3+default-dev (>= 0.22-~~) <!nocheck>,
+ librust-pyo3-0.25+default-dev <!nocheck>,
  librust-pyproject-toml-0.13+default-dev <!nocheck>,
  librust-python-pkginfo+default-dev (>= 0.5-~~) <!nocheck>,
  librust-quote-1+default-dev (>= 1.0.40-~~) <!nocheck>,
@@ -49,8 +48,8 @@
  librust-serde-yaml-0.9+default-dev <!nocheck>,
  librust-shlex-1+default-dev (>= 1.1.0-~~) <!nocheck>,
  librust-textwrap+default-dev (>= 0.16-~~) <!nocheck>,
- librust-tokio-1+default-dev (>= 1.43.0-~~) <!nocheck>,
- librust-tokio-1+full-dev (>= 1.43.0-~~) <!nocheck>,
+ librust-tokio-1+default-dev (>= 1.46.1-~~) <!nocheck>,
+ librust-tokio-1+full-dev (>= 1.46.1-~~) <!nocheck>,
  librust-toml+default-dev (>= 0.8-~~) <!nocheck>,
  librust-url-2+default-dev <!nocheck>,
  librust-xmltree+default-dev (>= 0.10-~~) <!nocheck>
@@ -69,8 +68,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- librust-async-trait-0.1+default-dev (>= 0.1.83-~~),
- librust-breezyshim+auto-initialize-dev (>= 0.1.227-~~),
+ librust-async-trait-0.1+default-dev (>= 0.1.80-~~),
+ librust-breezyshim-0.6+auto-initialize-dev,
  librust-chrono-0.4+default-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
@@ -96,8 +95,7 @@
  librust-opam-file-rs-0.1+default-dev,
  librust-percent-encoding-2+default-dev,
  librust-pulldown-cmark+default-dev (>= 0.9-~~),
- librust-pyo3+default-dev (<< 0.24-~~),
- librust-pyo3+default-dev (>= 0.22-~~),
+ librust-pyo3-0.25+default-dev,
  librust-pyproject-toml-0.13+default-dev,
  librust-python-pkginfo+default-dev (>= 0.5-~~),
  librust-quote-1+default-dev (>= 1.0.40-~~),
@@ -117,8 +115,8 @@
  librust-serde-yaml-0.9+default-dev,
  librust-shlex-1+default-dev (>= 1.1.0-~~),
  librust-textwrap+default-dev (>= 0.16-~~),
- librust-tokio-1+default-dev (>= 1.43.0-~~),
- librust-tokio-1+full-dev (>= 1.43.0-~~),
+ librust-tokio-1+default-dev (>= 1.46.1-~~),
+ librust-tokio-1+full-dev (>= 1.46.1-~~),
  librust-toml+default-dev (>= 0.8-~~),
  librust-url-2+default-dev,
  librust-xmltree+default-dev (>= 0.10-~~)
@@ -170,21 +168,23 @@
  librust-upstream-ontologist-0.2+python-pkginfo-dev (= ${binary:Version}),
  librust-upstream-ontologist-0.2+r-description-dev (= ${binary:Version}),
  librust-upstream-ontologist-0.2+setup-cfg-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+cargo-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+cli-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+debcargo-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+debian-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+debversion-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+default-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+dist-ini-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+git-config-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+launchpad-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+opam-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+pyo3-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+pyproject-toml-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+python-pkginfo-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+r-description-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.4+setup-cfg-dev (= ${binary:Version})
+ librust-upstream-ontologist-0.2.10-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+cargo-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+cli-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+debcargo-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+debian-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+debversion-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+default-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+dist-ini-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+git-config-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+launchpad-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+opam-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+pyo3-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+pyproject-toml-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+python-pkginfo-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+r-description-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.10+setup-cfg-dev (= ${binary:Version})
+Breaks:
+ librust-ognibuild-dev (<< 0.1.4)
 Description: Tracking of upstream project metadata - Rust source code
  Source code for Debianized Rust crate "upstream-ontologist"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.10 --all-targets --all-features
Features: test-name=rust-upstream-ontologist:@
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.10 --all-targets --no-default-features --features cargo
Features: test-name=librust-upstream-ontologist-dev:cargo
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.10 --all-targets --no-default-features --features cli
Features: test-name=librust-upstream-ontologist-dev:cli
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.10 --all-targets --no-default-features --features debcargo
Features: test-name=librust-upstream-ontologist-dev:debcargo
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.10 --all-targets --no-default-features --features debian
Features: test-name=librust-upstream-ontologist-dev:debian
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.10 --all-targets --no-default-features --features debversion
Features: test-name=librust-upstream-ontologist-dev:debversion
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.10 --all-targets
Features: test-name=librust-upstream-ontologist-dev:default
Depends: dh-cargo (>= 31), python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-upstream-ontologist 0.2.11

=== testdata/r-description/DESCRIPTION ===
Package: readxl
Title: Read Excel Files
Version: 1.3.1
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com",
             comment = c(ORCID = "0000-0003-4757-117X")),
      person(given = "Jennifer",
             family = "Bryan",
             role = c("aut", "cre"),
             email = "jenny@rstudio.com",
             comment = c(ORCID = "0000-0002-6983-2759")),
      person(given = "RStudio",
             role = c("cph", "fnd"),
             comment = "Copyright holder of all R code and all C/C++ code without explicit copyright attribution"),
      person(given = "Marcin",
             family = "Kalicinski",
             role = c("ctb", "cph"),
             comment = "Author of included RapidXML code"),
      person(given = "Komarov Valery",
             role = c("ctb", "cph"),
             comment = "Author of included libxls code"),
      person(given = "Christophe Leitienne",
             role = c("ctb", "cph"),
             comment = "Author of included libxls code"),
      person(given = "Bob Colbert",
             role = c("ctb", "cph"),
             comment = "Author of included libxls code"),
      person(given = "David Hoerl",
             role = c("ctb", "cph"),
             comment = "Author of included libxls code"),
      person(given = "Evan Miller",
             role = c("ctb", "cph"),
             comment = "Author of included libxls code"))
Description: Import excel files into R. Supports '.xls' via the
    embedded 'libxls' C library <https://github.com/libxls/libxls> and
    '.xlsx' via the embedded 'RapidXML' C++ library
    <http://rapidxml.sourceforge.net>.  Works on Windows, Mac and Linux
    without external dependencies.
License: GPL-3
URL: https://readxl.tidyverse.org, https://github.com/tidyverse/readxl
BugReports: https://github.com/tidyverse/readxl/issues
Imports: cellranger, Rcpp (>= 0.12.18), tibble (>= 1.3.1), utils
Suggests: covr, knitr, rmarkdown, rprojroot (>= 1.1), testthat
LinkingTo: progress, Rcpp
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
Note: libxls-SHA cef1393
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-03-13 16:01:23 UTC; jenny
Author: Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  RStudio [cph, fnd] (Copyright holder of all R code and all C/C++ code
    without explicit copyright attribution),
  Marcin Kalicinski [ctb, cph] (Author of included RapidXML code),
  Komarov Valery [ctb, cph] (Author of included libxls code),
  Christophe Leitienne [ctb, cph] (Author of included libxls code),
  Bob Colbert [ctb, cph] (Author of included libxls code),
  David Hoerl [ctb, cph] (Author of included libxls code),
  Evan Miller [ctb, cph] (Author of included libxls code)
Maintainer: Jennifer Bryan <jenny@rstudio.com>
Repository: CRAN
Date/Publication: 2019-03-13 16:30:02 UTC

=== debian/changelog ===
rust-upstream-ontologist (0.2.11-3) unstable; urgency=medium

  * Team upload.
  * Package upstream-ontologist 0.2.11 from crates.io using debcargo 2.7.11
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:08:53 +0100

rust-upstream-ontologist (0.2.11-2) unstable; urgency=medium

  * Team upload.
  * Package upstream-ontologist 0.2.11 from crates.io using debcargo 2.7.8
  * Set test_is_broken for the "cli" feature.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 09 Sep 2025 19:10:00 +0000

rust-upstream-ontologist (0.2.11-1) unstable; urgency=medium

  * Package upstream-ontologist 0.2.11 from crates.io using debcargo 2.7.10
   + Fixes FTBFS. Closes: #1114336

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 08 Sep 2025 03:03:42 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,8 @@
  librust-opam-file-rs-0.1+default-dev <!nocheck>,
  librust-percent-encoding-2+default-dev <!nocheck>,
  librust-pulldown-cmark+default-dev (>= 0.9-~~) <!nocheck>,
- librust-pyo3-0.25+default-dev <!nocheck>,
+ librust-pyo3+default-dev (<< 0.27-~~) <!nocheck>,
+ librust-pyo3+default-dev (>= 0.25-~~) <!nocheck>,
  librust-pyproject-toml-0.13+default-dev <!nocheck>,
  librust-python-pkginfo+default-dev (>= 0.5-~~) <!nocheck>,
  librust-quote-1+default-dev (>= 1.0.40-~~) <!nocheck>,
@@ -48,20 +49,19 @@
  librust-serde-yaml-0.9+default-dev <!nocheck>,
  librust-shlex-1+default-dev (>= 1.1.0-~~) <!nocheck>,
  librust-textwrap+default-dev (>= 0.16-~~) <!nocheck>,
- librust-tokio-1+default-dev (>= 1.46.1-~~) <!nocheck>,
- librust-tokio-1+full-dev (>= 1.46.1-~~) <!nocheck>,
+ librust-tokio-1+default-dev (>= 1.47.1-~~) <!nocheck>,
+ librust-tokio-1+full-dev (>= 1.47.1-~~) <!nocheck>,
  librust-toml+default-dev (>= 0.8-~~) <!nocheck>,
  librust-url-2+default-dev <!nocheck>,
  librust-xmltree+default-dev (>= 0.10-~~) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Jelmer Vernooĳ <jelmer@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/upstream-ontologist]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/upstream-ontologist
 Homepage: https://github.com/jelmer/upstream-ontologist
 X-Cargo-Crate: upstream-ontologist
-Rules-Requires-Root: no
 
 Package: librust-upstream-ontologist-dev
 Architecture: any
@@ -95,7 +95,8 @@
  librust-opam-file-rs-0.1+default-dev,
  librust-percent-encoding-2+default-dev,
  librust-pulldown-cmark+default-dev (>= 0.9-~~),
- librust-pyo3-0.25+default-dev,
+ librust-pyo3+default-dev (<< 0.27-~~),
+ librust-pyo3+default-dev (>= 0.25-~~),
  librust-pyproject-toml-0.13+default-dev,
  librust-python-pkginfo+default-dev (>= 0.5-~~),
  librust-quote-1+default-dev (>= 1.0.40-~~),
@@ -115,8 +116,8 @@
  librust-serde-yaml-0.9+default-dev,
  librust-shlex-1+default-dev (>= 1.1.0-~~),
  librust-textwrap+default-dev (>= 0.16-~~),
- librust-tokio-1+default-dev (>= 1.46.1-~~),
- librust-tokio-1+full-dev (>= 1.46.1-~~),
+ librust-tokio-1+default-dev (>= 1.47.1-~~),
+ librust-tokio-1+full-dev (>= 1.47.1-~~),
  librust-toml+default-dev (>= 0.8-~~),
  librust-url-2+default-dev,
  librust-xmltree+default-dev (>= 0.10-~~)
@@ -168,22 +169,22 @@
  librust-upstream-ontologist-0.2+python-pkginfo-dev (= ${binary:Version}),
  librust-upstream-ontologist-0.2+r-description-dev (= ${binary:Version}),
  librust-upstream-ontologist-0.2+setup-cfg-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+cargo-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+cli-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+debcargo-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+debian-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+debversion-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+default-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+dist-ini-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+git-config-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+launchpad-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+opam-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+pyo3-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+pyproject-toml-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+python-pkginfo-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+r-description-dev (= ${binary:Version}),
- librust-upstream-ontologist-0.2.10+setup-cfg-dev (= ${binary:Version})
+ librust-upstream-ontologist-0.2.11-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+cargo-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+cli-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+debcargo-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+debian-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+debversion-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+default-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+dist-ini-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+git-config-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+launchpad-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+opam-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+pyo3-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+pyproject-toml-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+python-pkginfo-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+r-description-dev (= ${binary:Version}),
+ librust-upstream-ontologist-0.2.11+setup-cfg-dev (= ${binary:Version})
 Breaks:
  librust-ognibuild-dev (<< 0.1.4)
 Description: Tracking of upstream project metadata - Rust source code

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.11 --all-targets --all-features
Features: test-name=rust-upstream-ontologist:@
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.11 --all-targets --no-default-features --features cargo
Features: test-name=librust-upstream-ontologist-dev:cargo
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.11 --all-targets --no-default-features --features cli
Features: test-name=librust-upstream-ontologist-dev:cli
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.11 --all-targets --no-default-features --features debcargo
Features: test-name=librust-upstream-ontologist-dev:debcargo
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.11 --all-targets --no-default-features --features debian
Features: test-name=librust-upstream-ontologist-dev:debian
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.11 --all-targets --no-default-features --features debversion
Features: test-name=librust-upstream-ontologist-dev:debversion
Depends: dh-cargo (>= 31), python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test upstream-ontologist 0.2.11 --all-targets
Features: test-name=librust-upstream-ontologist-dev:default
Depends: dh-cargo (>= 31), python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, python3-setuptools, rustc, librust-pretty-assertions+default-dev (>= 1.4-~~), librust-tempfile+default-dev (>= 3-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/upstream-ontologist
Matching-Pattern:  .*/crates/upstream-ontologist/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/upstream-ontologist-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
